#!/bin/bash

total=0
padding="                                                                                           ";

partcount () 
{
  local file="$1"
  local level="$2"

  parts=`grep "^1" "$file" | tr -d '\r' | grep -i ".DAT" | wc -l`
  subs=`grep "^1" "$file" | tr -d '\r' | grep -vi ".DAT" | cut -d ' ' -f 15`

  printf "%8d %.*s%s\n" $parts $(( $level * 2 )) "$padding" "$file"

  total=$(( $total + $parts ))

  for i in $subs; do
    partcount "$i" "$(( $level + 1 ))"
  done
}

for i in "$@"; do
  partcount "$i" 0
  echo
done

printf "\n%8d  Total\n" $total
exit 0
